Bug 865787 - Review Request: xmlstreambuffer - XML Stream Buffer
Review Request: xmlstreambuffer - XML Stream Buffer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
:
Depends On: 852359
Blocks: 870977 915864
  Show dependency treegraph
 
Reported: 2012-10-12 09:02 EDT by gil cattaneo
Modified: 2013-06-02 23:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: xmlstreambuffer-1.5.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-23 08:29:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msrb: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-10-12 09:02:25 EDT
Spec URL: http://gil.fedorapeople.org/xmlstreambuffer.spec
SRPM URL: http://gil.fedorapeople.org/xmlstreambuffer-1.5-1.fc16.src.rpm
Description: A stream buffer is a stream-based representation of an XML
info-set in Java. Stream buffers are designed to: provide
very efficient stream-based memory representations of XML
info-sets; and be created and processed using any Java-based
XML API.
Conceptually a stream buffer is similar to the representation
used in the Xerces deferred DOM implementation, with the crucial
difference that a stream buffer does not store hierarchical
information like parent and sibling information. The deferred
DOM implementation reduces memory usage when large XML documents
are parsed but only a subset of the document needs to be processed.
(Note that using deferred DOM will be more expensive than
non-deferred DOM in terms of memory and processing if all
the document is traversed.)
Stream buffers may be used as an efficient alternative to DOM where:
* most or all of an XML info-set will eventually get traversed; and/or
* targeted access to certain parts of an XML info-set are required
 and need to be efficiently processed using stream-based APIs like
 SAX or StAX.
Fedora Account System Username: gil
Comment 3 Michal Srb 2013-05-13 05:00:06 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xmlstreambuffer-1.5.1-1.fc20.noarch.rpm
          xmlstreambuffer-javadoc-1.5.1-1.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint xmlstreambuffer xmlstreambuffer-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
xmlstreambuffer (rpmlib, GLIBC filtered):
    bea-stax-api
    java
    jpackage-utils
    stax-ex

xmlstreambuffer-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
xmlstreambuffer:
    mvn(com.sun.xml.stream.buffer:streambuffer)
    xmlstreambuffer

xmlstreambuffer-javadoc:
    xmlstreambuffer-javadoc



Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 865787

The package looks good.

APPROVED
Comment 4 gil cattaneo 2013-05-13 08:36:37 EDT
New Package SCM Request
=======================
Package Name: xmlstreambuffer
Short Description: XML Stream Buffer
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 5 Gwyn Ciesla 2013-05-13 09:27:37 EDT
Clearing flag.
Comment 6 Gwyn Ciesla 2013-05-13 09:48:08 EDT
Again.
Comment 7 Gwyn Ciesla 2013-05-13 09:53:05 EDT
Clearing flag.
Comment 8 gil cattaneo 2013-05-13 09:55:58 EDT
sorry, why? what is the problem?
Comment 9 gil cattaneo 2013-05-13 20:38:09 EDT
i received an email with the following object:
fedora-cvs cancelled: [Bug 865787] Review Request: xmlstreambuffer - XML Stream Buffer
in pkgdb already exist but not has not been set up in git

$ fedpkg clone xmlstreambuffer
Cloning into 'xmlstreambuffer'...
fatal: '/srv/git/rpms//xmlstreambuffer.git' does not appear to be a git repository
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
Could not execute clone: Command '['git', 'clone', 'ssh://gil@pkgs.fedoraproject.org/xmlstreambuffer']' returned non-zero exit status 128

New Package SCM Request
=======================
Package Name: xmlstreambuffer
Short Description: XML Stream Buffer
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 10 Gwyn Ciesla 2013-05-14 07:14:25 EDT
Fixed.
Comment 11 Fedora Update System 2013-05-14 07:46:46 EDT
xmlstreambuffer-1.5.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xmlstreambuffer-1.5.1-1.fc19
Comment 12 Fedora Update System 2013-05-14 08:01:03 EDT
xmlstreambuffer-1.5.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xmlstreambuffer-1.5.1-1.fc18
Comment 13 Fedora Update System 2013-05-14 13:46:27 EDT
xmlstreambuffer-1.5.1-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Fedora Update System 2013-05-23 08:29:08 EDT
xmlstreambuffer-1.5.1-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2013-06-02 23:42:19 EDT
xmlstreambuffer-1.5.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.